Chyba u PGP v (některých) e-mailových klientech může zpřístupnit obsah šifrovaných e-mailů

Sebastian Schinzel na Twitteru varuje, že prozatím jediné řešení je přestat používat PGP a detaily byl měly být zveřejněný 15. května. Navíc tvrdí, že v problémech je i S/MIME, ale celé to je (v pondělí) dost nejasné. EFF varuje v Attention PGP Users: New Vulnerabilities Require You To Take Action Now.

Pokud vám to celé připadá jako divočina, tak bude připadat ještě více po přečtení Efail or OpenPGP is safer than S/MIME. Po dalším studiu zjistíte, že to vypadá na vcelku příčinnou souvislost mezi použitím HTML e-mailů a odkazů v nich a nejde tedy o chybu v PGP ale v poštovních klientech. Což ale neznamená, že to není vážné.

[14.05.18 14:09] Objevitelé nakonec informace pustili ven dřív, takže si to můžete nastudovat na efail.de – a jak se ještě před zveřejněním očekávalo, jde skutečně o zneužití odkazů v HTML e-mailech (obrázky, styly) – zajímavé je, že zásadní roli tady hraje podvržení pozměněného šifrovaného e-mailu.

1200-pexels-green-water-fountain-225769-code-computer-cyberspace-225769.jpg

Reklamy